org.apache.storm.nimbus

## Class NimbusInfo

- java.lang.Object
- - org.apache.storm.nimbus.NimbusInfo

- All Implemented Interfaces:
    Serializable

      public class NimbusInfo
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NimbusInfo(String host, int port, boolean isLeader)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `static NimbusInfo` | `fromConf(Map<String,Object> conf)`
    `String` | `getHost()`
    `int` | `getPort()`
    `int` | `hashCode()`
    `boolean` | `isLeader()`
    `static NimbusInfo` | `parse(String nimbusInfo)`
    `void` | `setLeader(boolean isLeader)`
    `String` | `toHostPortString()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NimbusInfo

          public NimbusInfo(String host,
                            int port,
                            boolean isLeader)

  - ### Method Detail

    - #### parse

          public static NimbusInfo parse(String nimbusInfo)

    - #### fromConf

          public static NimbusInfo fromConf(Map<String,Object> conf)

    - #### toHostPortString

          public String toHostPortString()

    - #### isLeader

          public boolean isLeader()

    - #### setLeader

          public void setLeader(boolean isLeader)

    - #### getPort

          public int getPort()

    - #### getHost

          public String getHost()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.